<?php

require_once 'lib/vod/movie.php';

class LinuxtvShortMovie extends ShortMovie
{
	public $movie_type;

    public function __construct($id, $name, $poster_url, $movie_type)
    {
        parent::__construct($id, $name, $poster_url);
		$this->movie_type = $movie_type;
    }
}

class LinuxtvMovie extends Movie
{
	public $movie_type = 1;
	public $seasons = 0;

    public function add_series_data($id, $name,
        $playback_url, $playback_url_is_stream_url)
    {
        $series = new MovieSeries($id);

        $series->name = $name === null ? '' : strval($name);
        $series->playback_url = $playback_url === null ? '' : strval($playback_url);
        $series->playback_url_is_stream_url =
            $playback_url_is_stream_url === true;

		// reverse sort
        array_unshift($this->series_list, $series);
    }

}

?>
